# Security Policy

## Supported Versions

Inochi2D versions are supported with updates from the current stable version, and the in-production next version (nightly builds and such)  
If a vulnerability is sufficiently severe we may backport fixes to earlier versions on request.

| Version | Supported          |
| ------- | ------------------ |
| 0.6.x   | :x:                |
| 0.7.x   | :x:                |
| 0.8.x   | :white_check_mark: |
| 0.9.x*  | :white_check_mark: |

\* = Version currently in active development

## Reporting a Vulnerability

Vulnerabilies should be reported as encrypted emails to our address for the purpose, security@inochi2d.com

The following PGP key should be used for encryption
```
-----BEGIN PGP PUBLIC KEY BLOCK-----
 
xjMEZAJcVRYJKwYBBAHaRw8BAQdA7VAqX1faN1QGLFv08bbPqQN9Rv9dYKQu
hmLqtakmEGfNLXNlY3VyaXR5QGlub2NoaTJkLmNvbSA8c2VjdXJpdHlAaW5v
Y2hpMmQuY29tPsKMBBAWCgA+BQJkAlxVBAsJBwgJEBMKoVRwErm1AxUICgQW
AAIBAhkBAhsDAh4BFiEES4zizv11eFgNQ2b2EwqhVHASubUAAKyGAP4xr5Cx
sBAnIxKYcTIvsXHFBpjlaeNisdegezinIE6/XAD7BTOlXJ7E51rvzTyVW+gd
sIDv2PNPqsiS9S+Fn7/6UQHOOARkAlxVEgorBgEEAZdVAQUBAQdALNMMkSZr
VuyvQIpK0qwbROME5Q16O6a7eJan17yhazQDAQgHwngEGBYIACoFAmQCXFUJ
EBMKoVRwErm1AhsMFiEES4zizv11eFgNQ2b2EwqhVHASubUAAC5lAQDfM7oT
rRLWq5943RE7wORPMmi7qVvbOLR4sI0KuydZlgD+PZ0zu8Yf5D8tyKplRS1g
YTGSGInbgh4rQnXle4M/nQw=
=xGFO
-----END PGP PUBLIC KEY BLOCK-----
```

You may also report vulnerabilties via the [Security Advisories](https://github.com/Inochi2D/inochi2d/security/advisories/new) feature, note that this feature may not be used indefinitely and we would highly prefer an email!
